%% Input materials (10/11/2011)
% input for the program
% by VN

input_name = 'composite material 1';

%% Input parameters for individual phases 

% matrix:
materials(1).name = 'matrix';
materials(1).code = 'matrix';

materials(1).m = 4; % mass portion in the mixture [kg]
materials(1).rho = 1900; % density [kg/m^3]
materials(1).E = 2000e6; % Young's modulus [Pa]
materials(1).nu = 0.25; % Poisson's ratio [-]

% brick:
materials(2).name = 'coated inclusion 1';
materials(2).code = 'coated';
materials(2).ID = 1; % it must be in agreement with a corresponding coating

materials(2).m = 4; % mass portion in the mixture [kg]
materials(2).rho = 1600; % density [kg/m^3]
materials(2).E = 2400e6; % Young's modulus [Pa]
materials(2).nu = 0.17; % Poisson's ratio [-]

materials(2).GC.frac = [0.063,0.125;
                        0.125,0.25; 
                        0.25,0.5; 
                        0.5,1;
                        1,2;
                        2,4]*1e-3; % grading cuve - fractions (diameter) [mm]
materials(2).GC.amount = [6; 
                          24; 
                          45;
                          60;
                          66;
                          150]; % number of grains from each interval(mass, volume) [-]

materials(2).n_in_fraction = 2; % number of fractions within one fraction interval

% sand:
materials(3).name = 'uncoated inclusion';
materials(3).code = 'uncoated';

materials(3).m = 4; % mass portion in the mixture [kg]
materials(3).rho = 2600; % density [kg/m^3]
materials(3).E = 70000e6; % Young's modulus [Pa]
materials(3).nu = 0.17; % Poisson's ratio [-]

% voids:
materials(4).name = 'voids';
materials(4).code = 'voids';

materials(4).volume = 35; % volume [%]
materials(4).E = 1e-9; % Young's modulus [Pa]
materials(4).nu = 0.25; % Poisson's ratio [-]

% C-S-H gel:
materials(5).name = 'coating of coated inclusion';
materials(5).code = 'coating';
materials(5).ID = 1; % it must be in agreement with a corresponding coated particle

materials(5).rho = 2000; % density [kg/m^3]
materials(5).E = 22000e6; % Young's modulus [Pa]
materials(5).nu = 0.2; % Poisson's ratio [-]
materials(5).thickness = 20e-6; % thickness of coating [m] 
materials(5).p_i = 20; % percentage of inclusion consumed by coating when coating is created;
materials(5).p_m = 50; % percentage of matrix consumed by coating when coating is created;
materials(5).p_v = 30; % percentage of voids consumed by coating when coating is created;